#include <lpc11xx.h>


/*The clock output pin a points the clock frequency output*/
/*ʱĳƵʱ*/
void CLKOUT_EN(unsigned char clock_div); 

int main(void)
{
	SystemInit();
    CLKOUT_EN(48); //48MHz ʱ48Ƶclkout	
				   // (48 MHz clock to the 48 points from clkout pin after frequency output)
    return 0;
}

/**
 * Function: CLKOUT_EN
 * Note: you can using this function test if you board is working.
 * Input: unsigned char clock_div
 * return: none 
 */
void CLKOUT_EN(unsigned char clock_div)
{
	LPC_SYSCON->SYSAHBCLKCTRL |= (1<<16);          // ʹIOCONʱ(That can IOCON clock) 
	LPC_IOCON->PIO0_1=0XD1;						       // P0.1ΪCLKOUT(The P0.1 feet set to CLKOUT pin)
	LPC_SYSCON->SYSAHBCLKCTRL &= ~(1<<16);          // IOCONʱ(Can the IOCON clock)
	LPC_SYSCON->CLKOUTDIV   = clock_div;			//CLKOUTʱֵΪ48/clock_div (CLKOUT clock value for 48 / clock_div)
	LPC_SYSCON->CLKOUTCLKSEL= 0X00000003;	  		//CLKOUTʱԴѡΪʱ (CLKOUT clock source choice give priority to the clock)
	LPC_SYSCON->CLKOUTUEN   =0X01;
	LPC_SYSCON->CLKOUTUEN   =0X00;
	LPC_SYSCON->CLKOUTUEN   =0X01;
	while (!(LPC_SYSCON->CLKOUTUEN & 0x01));        //ȷʱԴºִ(Sure the clock source updated execution down)
}
